## net.i2p.router.networkdb.kademlia
Class FloodfillPeerSelector

    java.lang.Object
      net.i2p.router.networkdb.kademlia.PeerSelector
          net.i2p.router.networkdb.kademlia.FloodfillPeerSelector

     class FloodfillPeerSelector

extends PeerSelector

Field Summary

Fields inherited from class net.i2p.router.networkdb.kademlia.PeerSelector
`_context, _log`

Constructor Summary
`FloodfillPeerSelector(RouterContext ctx)`

Method Summary
`java.util.List` `selectFloodfillParticipants(KBucketSet kbuckets)`
`java.util.List` `selectNearestExplicitThin(Hash key, int maxNumRouters, java.util.Set peersToIgnore, KBucketSet kbuckets)` Pick out peers with the floodfill capacity set, returning them first, but then after they're complete, sort via kademlia.

Methods inherited from class net.i2p.router.networkdb.kademlia.PeerSelector
`getDistance, selectMostReliablePeers, selectNearest, selectNearestExplicit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloodfillPeerSelector

    public FloodfillPeerSelector(RouterContext ctx)

Method Detail

### selectNearestExplicitThin

    public java.util.List selectNearestExplicitThin(Hash key,
                                                    int maxNumRouters,
                                                    java.util.Set peersToIgnore,
                                                    KBucketSet kbuckets)

  Pick out peers with the floodfill capacity set, returning them first, but then after they're complete, sort via kademlia.

  Overrides:
    `selectNearestExplicitThin` in class `PeerSelector`
  Returns:
    List of Hash for the peers selected

### selectFloodfillParticipants

    public java.util.List selectFloodfillParticipants(KBucketSet kbuckets)